Permalink
98 lines (97 sloc) 2.43 KB
{
"name": "converse.js",
"version": "4.0.3",
"description": "Browser based XMPP chat client",
"main": "dist/converse.js",
"directories": {
"doc": "docs",
"locale": "locale",
"src": "src"
},
"repository": {
"type": "git",
"url": "git://github.com/conversejs/converse.js.git"
},
"keywords": [
"XMPP",
"Jabber",
"chat",
"messaging",
"chatrooms",
"webchat"
],
"author": {
"name": "JC Brand",
"email": "jc@opkode.com"
},
"license": "MPL-2.0",
"bugs": {
"url": "https://github.com/conversejs/converse.js/issues"
},
"engines": {
"browser": "*"
},
"devDependencies": {
"@babel/cli": "^7.1.0",
"@babel/core": "^7.1.0",
"@babel/preset-env": "^7.1.0",
"@converse/headless": "^4.0.2",
"@fortawesome/fontawesome-free": "5.3.1",
"awesomplete-avoid-xss": "^1.1.2",
"babel-loader": "^8.0.0",
"backbone": "1.3.3",
"backbone.browserStorage": "0.0.4",
"backbone.nativeview": "^0.3.3",
"backbone.overview": "^1.0.2",
"backbone.vdomview": "^1.0.1",
"bootstrap": "^4.0.0",
"bootstrap.native": "^2.0.23",
"bourbon": "^4.3.2",
"bytebuffer": "^3.5.5",
"clean-css-cli": "^4.0.10",
"es6-promise": "^4.1.0",
"eslint": "4.19.1",
"eslint-plugin-lodash": "^2.3.3",
"exports-loader": "^0.7.0",
"filesize": "^3.6.1",
"formdata-polyfill": "^3.0.12",
"hellojs": "^1.16.1",
"http-server": "^0.10.0",
"imports-loader": "^0.8.0",
"install": "^0.9.5",
"jasmine-core": "2.6.4",
"jed": "1.1.1",
"jquery": "3.2.1",
"jsdoc": "^3.5.5",
"jshint": "^2.9.4",
"lerna": "^3.4.3",
"lodash": "4.17.10",
"lodash-template-loader": "^2.0.0",
"lodash-template-webpack-loader": "jcbrand/lodash-template-webpack-loader",
"long": "^3.1.0",
"minimist": "^1.2.0",
"moment": "~> 2.19.3 ",
"npm": "^5.7.1",
"pluggable.js": "2.0.0",
"po2json": "^0.4.4",
"requirejs": "2.3.5",
"run-headless-chromium": "^0.1.1",
"sinon": "^2.1.0",
"sizzle": "^2.3.3",
"snabbdom": "0.7.1",
"strophe.js": "1.3.0",
"strophejs-plugin-ping": "0.0.3",
"strophejs-plugin-register": "0.0.1",
"strophejs-plugin-rsm": "0.0.2",
"twemoji": "^11.0.1",
"uglify-es": "^3.0.24",
"urijs": "^1.19.1",
"wait-until-promise": "^1.0.0",
"webpack": "^4.0.1",
"webpack-cli": "^2.1.4",
"xss": "^0.3.3"
},
"dependencies": {
"fast-text-encoding": "^1.0.0"
}
}